org.apache.ignite.internal.processors.query.property

## Class QueryBinaryProperty

- java.lang.Object
- - org.apache.ignite.internal.processors.query.property.QueryBinaryProperty

All Implemented Interfaces:
  GridQueryProperty

    public class QueryBinaryProperty
    extends Object
    implements GridQueryProperty

Binary property.

### Constructor Summary

Constructors
Constructor and Description
`QueryBinaryProperty(GridKernalContext ctx, String propName, QueryBinaryProperty parent, Class<?> type, Boolean key, String alias)` Constructor.

### Method Summary

Methods
`boolean` `key()` Property ownership flag.
`String` `name()`
`GridQueryProperty` `parent()`
`void` `setValue(Object key, Object val, Object propVal)` Sets this property value for the given object.
`Class<?>` `type()`
`Object` `value(Object key, Object val)` Gets this property value from the given object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryBinaryProperty

    public QueryBinaryProperty(GridKernalContext ctx,
                       String propName,
                       QueryBinaryProperty parent,
                       Class<?> type,
                       @Nullable
                       Boolean key,
                       String alias)

Constructor.

Parameters:
  `ctx` - Kernal context.
  `propName` - Property name.
  `parent` - Parent property.
  `type` - Result type.
  `key` - `true` if key property, `false` otherwise, `null` if unknown.
  `alias` - Field alias.

### Method Detail

#### value

    public Object value(Object key,
               Object val)
                 throws IgniteCheckedException

Gets this property value from the given object.

Specified by:
  `value` in interface `GridQueryProperty`
Parameters:
  `key` - Key.
  `val` - Value.
Returns:
  Property value.
Throws:
  `IgniteCheckedException` - If failed.

#### setValue

    public void setValue(Object key,
                Object val,
                Object propVal)
                  throws IgniteCheckedException

Sets this property value for the given object.

Specified by:
  `setValue` in interface `GridQueryProperty`
Parameters:
  `key` - Key.
  `val` - Value.
  `propVal` - Property value.
Throws:
  `IgniteCheckedException` - If failed.

#### name

    public String name()

Specified by:
  `name` in interface `GridQueryProperty`
Returns:
  Property name.

#### type

    public Class<?> type()

Specified by:
  `type` in interface `GridQueryProperty`
Returns:
  Class member type.

#### key

    public boolean key()

Property ownership flag.

Specified by:
  `key` in interface `GridQueryProperty`
Returns:
  `true` if this property belongs to key, `false` if it belongs to value.

#### parent

    public GridQueryProperty parent()

Specified by:
  `parent` in interface `GridQueryProperty`
Returns:
  Parent property or `null` if this property is not nested.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017